org.kie.api.fluent

## Interface ProcessBuilder

- All Superinterfaces:
    NodeBuilder<ProcessBuilder,ProcessBuilder>, NodeContainerBuilder<ProcessBuilder,ProcessBuilder>

      public interface ProcessBuilder
      extends NodeContainerBuilder<ProcessBuilder,ProcessBuilder>

  Builder that contains methods to create a process definition.
  See Also:
    `ProcessBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Process` | `build()` Validates and returns process definition.
    `ProcessBuilder` | `dynamic(boolean dynamic)`
    `ProcessBuilder` | `functionImports(Collection<String> functionImports)`
    `ProcessBuilder` | `global(String name, String type)`
    `ProcessBuilder` | `globals(Map<String,String> globals)`
    `ProcessBuilder` | `imports(Collection<String> imports)`
    `ProcessBuilder` | `packageName(String packageName)`
    `ProcessBuilder` | `swimlane(String name)`
    `ProcessBuilder` | `version(String version)`

    - ### Methods inherited from interface org.kie.api.fluent.NodeContainerBuilder

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, exceptionHandler, faultNode, forEachNode, humanTaskNode, joinNode, milestoneNode, ruleSetNode, splitNode, startNode, subProcessNode, timerNode, variable, workItemNode`

    - ### Methods inherited from interface org.kie.api.fluent.NodeBuilder

      `done, name, setMetadata`

- - ### Method Detail

    - #### dynamic

          ProcessBuilder dynamic(boolean dynamic)

    - #### version

          ProcessBuilder version(String version)

    - #### packageName

          ProcessBuilder packageName(String packageName)

    - #### imports

          ProcessBuilder imports(Collection<String> imports)

    - #### functionImports

          ProcessBuilder functionImports(Collection<String> functionImports)

    - #### globals

          ProcessBuilder globals(Map<String,String> globals)

    - #### global

          ProcessBuilder global(String name,
                                String type)

    - #### swimlane

          ProcessBuilder swimlane(String name)

    - #### build

          Process build()

      Validates and returns process definition.
      Should be invoked after all other method calls.
      Returns:
        validated process definition

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.